## ceilometer 5.0.5

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

retrying!=1.3.0,>=1.2.3 # Apache-2.0
croniter>=0.3.4 # MIT License
eventlet>=0.17.4
jsonpath-rw-ext>=0.1.7
jsonschema!=2.5.0,<3.0.0,>=2.0.0
kafka-python>=0.9.2 # Apache-2.0
keystonemiddleware!=2.4.0,>=2.0.0
lxml>=2.3
msgpack-python>=0.4.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=2.4.1 # Apache-2.0
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.config>=2.3.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.reports>=0.1.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
PasteDeploy>=1.5.0
pbr>=1.6
pecan>=1.0.0
oslo.messaging!=1.17.0,!=1.17.1,!=2.6.0,!=2.6.1,!=2.7.0,!=2.8.0,!=2.8.1,!=2.9.0,!=3.1.0,>=1.16.0 # Apache-2.0
oslo.middleware!=3.0.0,!=3.1.0,!=3.2.0,>=2.8.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils!=2.6.0,>=2.0.0 # Apache-2.0
pysnmp<5.0.0,>=4.2.1
python-ceilometerclient>=1.5.0
python-glanceclient>=0.18.0
python-keystoneclient!=1.8.0,<3.0.0,>=1.6.0
python-neutronclient>=2.6.0
python-novaclient!=2.33.0,>=2.28.1
python-swiftclient>=2.2.0
pytz>=2013.6
PyYAML>=3.1.0
requests!=2.8.0,!=2.9.0,>=2.5.2
six>=1.9.0
SQLAlchemy<1.1.0,>=0.9.9
sqlalchemy-migrate>=0.9.6
stevedore>=1.5.0 # Apache-2.0
tooz>=1.19.0 # Apache-2.0
Werkzeug>=0.7 # BSD License
WebOb>=1.2.3
WSME>=0.7

=== debian/changelog ===
ceilometer (1:5.0.5-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1619452).

 -- David Della Vecchia <ddv@canonical.com>  Thu, 13 Oct 2016 12:26:28 -0400

ceilometer (1:5.0.4-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1614570).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 Aug 2016 10:57:27 -0400

=== debian/control ===
Source: ceilometer
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-awsauth,
                     python-babel,
                     python-ceilometerclient (>= 1.5.0),
                     python-contextlib2,
                     python-coverage,
                     python-croniter,
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-glanceclient (>= 1:0.18.0),
                     python-hacking,
                     python-happybase (>= 0.5),
                     python-httplib2 (>= 0.7.5),
                     python-jsonpath-rw-ext,
                     python-jsonschema,
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 2.0.0),
                     python-lxml,
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.2),
                     python-msgpack (>= 0.4.0),
                     python-neutronclient (>= 2.6.0),
                     python-novaclient (>= 2:2.28.1),
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 2.4.1),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.messaging (>= 1.16.0),
                     python-oslo.middleware (>= 2.8.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.reports (>= 0.1.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service (>= 0.7.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslo.vmware (>= 1.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-pastedeploy,
                     python-pecan (>= 1.0.0),
                     python-psycopg2 (>= 2.5),
                     python-pymongo (>= 3.0.2),
                     python-pymysql,
                     python-pysnmp4,
                     python-requests (>= 2.5.2),
                     python-retrying (>= 1.2.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 0.9.9),
                     python-stevedore (>= 1.5.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-tempest-lib (>= 0.8.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.19.0),
                     python-tz (>= 2013.6),
                     python-webob,
                     python-werkzeug,
                     python-wsme (>= 0.7),
                     python-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer

Package: python-ceilometer
Architecture: all
Depends: python-ceilometerclient (>= 1.5.0),
         python-croniter,
         python-eventlet (>= 0.17.4),
         python-glanceclient (>= 1:0.18.0),
         python-jsonpath-rw-ext,
         python-jsonschema,
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 2.0.0),
         python-lxml,
         python-migrate (>= 0.9.6),
         python-msgpack (>= 0.4.0),
         python-neutronclient (>= 2.6.0),
         python-novaclient (>= 2:2.28.1),
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 2.4.1),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.messaging (>= 1.16.0),
         python-oslo.middleware (>= 2.8.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.reports (>= 0.1.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.service (>= 0.7.0),
         python-oslo.utils (>= 2.0.0),
         python-pastedeploy,
         python-pecan (>= 1.0.0),
         python-pysnmp4,
         python-requests (>= 2.5.2),
         python-retrying (>= 1.2.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.9),
         python-stevedore (>= 1.5.0),
         python-swiftclient (>= 1:2.2.0),
         python-tooz (>= 1.19.0),
         python-tz (>= 2013.6),
         python-webob,
         python-werkzeug,
         python-wsme (>= 0.7),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Description: ceilometer python libraries
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the python libraries that are needed for all parts
 of ceilometer

Package: ceilometer-common
Architecture: all
Depends: adduser,
         python-ceilometer (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Breaks: ceilometer-polling (<< 1:5.0.0~rc1-0ubuntu2~)
Replaces: ceilometer-polling (<< 1:5.0.0~rc1-0ubuntu2~)
Description: ceilometer common files
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of ceilometer

Package: ceilometer-collector
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Suggests: mongodb,
Description: ceilometer collector service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the collector service

Package: ceilometer-polling
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Suggests: mongodb,
Description: ceilometer polling service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the polling service.

Package: ceilometer-api
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Suggests: mongodb,
Description: ceilometer api service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 This package contains the api service

Package: ceilometer-agent-compute
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: ceilometer compute agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent

Package: ceilometer-agent-central
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: ceilometer central agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-ipmi
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ipmitool,
         ${misc:Depends},
         ${python:Depends},
Description: ceilometer ipmi agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the ipmi agent.

Package: ceilometer-agent-notification
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: ceilometer notification agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the notification agent.

Package: ceilometer-alarm-evaluator
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Ceilometer alarm evaluator agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export HOME="$(CURDIR)/debian/test"

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,systemd

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
		TEMP_REZ=`mktemp -t` && \
			testr run --subunit ceilometer.tests.unit | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ
endif

override_dh_install:
	./generate-config-file.sh
	dh_install --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	rm -f etc/ceilometer/ceilometer.conf etc/ceilometer/ceilometer.conf.sample
	rm -rf .testrepository
	rm -rf pbr*.egg
	rm -f debian/*.init debian/*.service debian/*.upstart

=== debian/tests/control ===
Tests: test-daemons test-services test-python-ceilometer
Depends: python-ceilometer, ceilometer-common, ceilometer-collector, ceilometer-api, ceilometer-agent-compute, ceilometer-agent-central, ceilometer-agent-ipmi, ceilometer-agent-notification, ceilometer-polling, ceilometer-alarm-evaluator, ceilometer-alarm-notifier

## ceilometer 6.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

retrying!=1.3.0,>=1.2.3 # Apache-2.0
jsonpath-rw-ext>=0.1.9 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
kafka-python<1.0.0,>=0.9.5 # Apache-2.0
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
lxml>=2.3 # BSD
msgpack-python>=0.4.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
pbr>=1.6 # Apache-2.0
pecan>=1.0.0 # BSD
oslo.messaging>=4.0.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
pysnmp<5.0.0,>=4.2.3 # BSD
python-ceilometerclient>=2.2.1 # Apache-2.0
python-glanceclient>=2.0.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
PyYAML>=3.1.0 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
tooz>=1.28.0 # Apache-2.0
Werkzeug>=0.7 # BSD License
WebOb>=1.2.3 # MIT
WSME>=0.8 # MIT
# NOTE(jd) We do not import it directly, but WSME datetime string parsing
# behaviour changes when this library is installed
python-dateutil>=2.4.2 # BSD

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  wadl       to build a WADL file for api.openstack.org"

clean:
	-rm -rf $(BUILDDIR)/*

html: check-dependencies
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: check-dependencies
check-dependencies:
	@python -c 'import sphinxcontrib.autohttp.flask' >/dev/null 2>&1 || (echo "ERROR: Missing Sphinx dependencies. Run: pip install sphinxcontrib-httpdomain" && exit 1)
	@ld -ltidy >/dev/null 2>&1 || (echo "Error: Missing libtidy dependencies. Pls. install libtidy with system package manager" && exit 1)

wadl:
	$(SPHINXBUILD) -b docbook $(ALLSPHINXOPTS) $(BUILDDIR)/wadl
	@echo
	@echo "Build finished. The WADL pages are in $(BUILDDIR)/wadl."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Ceilometer.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Ceilometer.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Ceilometer"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Ceilometer"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
ceilometer (1:6.0.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 May 2016 17:28:50 +0000

ceilometer (1:6.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to new one

  [ Thomas Goirand ]
  * Updated Japanese debconf templates (Closes: #820760).
  * Updated Dutch debconf templates (Closes: #822966).
  * Added Brazilian Portuguese debconf templates (Closes: #824295).
  * Check if /usr/bin/ceilometer-collector is there before attempting to call
    /usr/bin/ceilometer-expirer in the daily cron, so that there's no risk to
    have an output if the ceilometer-collector package is removed
    (Closes: #822897).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 May 2016 10:48:09 +0200

ceilometer (1:6.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 21:30:44 +0200

ceilometer (1:6.0.0~rc3-1) unstable; urgency=medium

  [ Ivan Udovichenko ]
  * d/ceilometer-agent-*.init.in: Fix DAEMON_ARGS for
    central, compute and ipmi agents.

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Updated ja.po debconf translation (Closes: #816342).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 10:27:08 +0200

ceilometer (1:6.0.0~rc1-2) experimental; urgency=medium

  * Do not use keystone admin auth token to register the API endpoint.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 12:22:36 +0000

ceilometer (1:6.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Added git to build-depends-indep.
  * Fixed (build-)depends for this release.
  * Fixed unit test runner (upstream script ./setup-test-env-mongodb.sh isn't
    available anymore: using one in the debian folder).
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Mar 2016 13:17:08 +0100

ceilometer (1:6.0.0~b3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Disable test:
    meter.test_notifications.TestMeterProcessing.test_fallback_meter_path

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Mar 2016 00:05:14 +0800

ceilometer (1:6.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * The alarm packages are now transition packages to Aodh.
  * Fixed debian/copyright ordering.
  * Updated namespaces when generating the config file.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Dec 2015 11:53:07 +0100

=== debian/control ===
Source: ceilometer
Section: web
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 40~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: mongodb,
                     git,
                     python-awsauth,
                     python-babel,
                     python-ceilometerclient (>= 2.2.1),
                     python-contextlib2,
                     python-coverage,
                     python-dateutil (>= 2.4.2),
                     python-elasticsearch (>= 1.3.0),
                     python-fixtures (>= 1.3.1),
                     python-gabbi (>= 1.11.0),
                     python-glanceclient (>= 1:2.0.0),
                     python-gnocchiclient (>= 2.1.0),
                     python-hacking (>= 0.9.2),
                     python-happybase,
                     python-jsonpath-rw-ext (>= 0.1.9),
                     python-jsonschema,
                     python-kafka (>= 0.9.5),
                     python-keystoneauth1 (>= 2.1.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-kombu,
                     python-lxml,
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.3),
                     python-msgpack (>= 0.4.0),
                     python-mysqldb,
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 2:2.29.0),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.reports (>= 1.0.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.vmware (>= 1.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-os-win (>= 0.2.3),
                     python-pastedeploy,
                     python-pecan (>= 1.0.0),
                     python-psycopg2 (>= 2.5),
                     python-pymongo (>= 3.0.2),
                     python-pymysql,
                     python-pysnmp4,
                     python-requests (>= 2.8.1),
                     python-retrying,
                     python-six (>= 1.9.0),
                     python-sphinxcontrib.httpdomain,
                     python-sphinxcontrib-pecanwsme,
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.28.0),
                     python-webob,
                     python-webtest (>= 2.0),
                     python-werkzeug,
                     python-wsme (>= 0.8),
                     python-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/ceilometer.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/ceilometer.git
Homepage: http://wiki.openstack.org/Ceilometer

Package: python-ceilometer
Section: python
Architecture: all
Depends: libjs-jquery,
         python-ceilometerclient (>= 2.2.1),
         python-dateutil (>= 2.4.2),
         python-glanceclient (>= 1:2.0.0),
         python-greenlet,
         python-happybase,
         python-jsonpath-rw-ext (>= 0.1.9),
         python-jsonschema,
         python-kafka (>= 0.9.5),
         python-keystoneauth1 (>= 2.1.0),
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 4.0.0),
         python-kombu,
         python-lxml,
         python-migrate (>= 0.9.7),
         python-msgpack (>= 0.4.0),
         python-mysqldb,
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.reports (>= 1.0.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-oslo.vmware (>= 1.16.0),
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-pecan (>= 1.0.0),
         python-pymongo,
         python-pymysql,
         python-pysnmp4,
         python-requests (>= 2.8.1),
         python-retrying,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-swiftclient (>= 1:2.2.0),
         python-tooz (>= 1.28.0),
         python-webob,
         python-werkzeug,
         python-wsme (>= 0.8),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack efficient metering counters system - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python libraries that are needed for all parts of
 Ceilometer.

Package: ceilometer-common
Architecture: all
Depends: adduser,
         dpkg-dev,
         python-ceilometer (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: OpenStack efficient metering counters system - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Ceilometer.

Package: ceilometer-collector
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Suggests: mongodb,
Description: OpenStack efficient metering counters system - collector service
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the collector service.

Package: ceilometer-api
Architecture: all
Depends: adduser,
         ceilometer-common (= ${binary:Version}),
         debconf,
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Suggests: mongodb,
Description: OpenStack efficient metering counters system (API service)
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the API service.

Package: ceilometer-agent-compute
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - compute agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent.

Package: ceilometer-agent-central
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - central agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-ipmi
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ipmitool,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - IPMI agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the IPMI agent daemon.

Package: ceilometer-agent-notification
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - notification agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be

=== debian/rules ===
#!/usr/bin/make -f

export HOME="$(CURDIR)/debian/test"
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@  --with python2,systemd,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf .testrepository
	rm -f debian/ceilometer-common.config debian/ceilometer-common.postinst debian/ceilometer-api.config debian/ceilometer-api.postinst

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp
	python2.7 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
	dh_install --fail-missing

	# Manage ceilometer.conf
	mkdir -p $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf \
		--wrap-width 140 \
		--namespace ceilometer \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.policy \
		--namespace oslo.service.service \
		--namespace keystonemiddleware.auth_token
	sed -i 's|[# \t]*auth_protocol[\t ]*=.*|auth_protocol=http|' $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf
	chmod 0644 $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf
	sed -i 's|#connection[ \t]*=.*|connection=mongodb://localhost:27017/ceilometer|' $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-api.postinst

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository
	find . -iname '*.pyc' -delete
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e ; \
		TEMP_REZ=`mktemp -t` ; \
		bash -x ./debian/setup-test-env-mongodb.sh testr run --subunit 'tests\.(?!(.*test_bin.*|.*functional.*|.*gabbi\.test_gabbi_prefix.*|.*meter\.test_notifications\.TestMeterProcessing\.test_fallback_meter_path.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html
	mkdir -p $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html/_static
	touch $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html/_static/toggle.js
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## ceilometer 6.1.3

=== requirements.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 pysnmp<5.0.0,>=4.2.3 # BSD
 python-ceilometerclient>=2.2.1 # Apache-2.0
 python-glanceclient>=2.0.0 # Apache-2.0
-python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
+python-keystoneclient!=1.8.0,!=2.1.0,<3.0.0,>=1.6.0 # Apache-2.0
 keystoneauth1>=2.1.0 # Apache-2.0
 python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
 python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
